Package com.emc.documentum.rest.http

# Class UriFactory

java.lang.Object
com.emc.documentum.rest.http.BaseUriFactory
com.emc.documentum.rest.http.UriFactory

@Deprecated public class UriFactory extends BaseUriFactory
Deprecated.
Since 7.3, the URI build in this pattern is not supported. Please use com.emc.documentum.rest.context.ResourceUriBuilder instead.
The URI factory to build resource URIs from templates. To keep query parameters in the URI with some order, SortedMap should be used in the factory method signature This will make URI invariant with same set of query parameters, and will improve client cache eventually This class is deprecated.

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.http.BaseUriFactory

  `baseUri, formatExt, INACTIVE_URL, NULL_PATH_SEGMENT, repositoryName, repositoryUri, validate`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UriFactory(String baseUri, String repositoryName, String formatExtension)`
  Deprecated.
  Constructor
  `UriFactory(String baseUri, String repositoryName, String formatExtension, boolean validate)`
  Deprecated.
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `batchCapabilitiesUri(SortedMap<String,String> params)`
  Deprecated.
  Build batch capabilities URI
  `String`
  `batchesUri(SortedMap<String,String> params)`
  Deprecated.
  Build batches URI
  `String`
  `cabinetsUri(SortedMap<String,String> params)`
  Deprecated.
  Build cabinets URI
  `String`
  `cabinetUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build cabinet URI
  `String`
  `checkedOutObjectsUri(SortedMap<String,String> params)`
  Deprecated.
  Build checked out objects URI
  `String`
  `childFolderLinkUri(String parentId, String childId, SortedMap<String,String> params)`
  Deprecated.
  Build child folder link URI
  `String`
  `currentUsersUri(SortedMap<String,String> params)`
  Deprecated.
  Build current user URI
  `String`
  `currentVersionsUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build object current version URI
  `String`
  `defaultFolderUri(String userName)`
  Deprecated.
  Build user default folder URI
  `String`
  `documentUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build document URI
  `String`
  `dqlQueryTemplate()`
  Deprecated.
  Build DQL query template URI
  `String`
  `folderChildDocumentsUri(String folderId, SortedMap<String,String> params)`
  Deprecated.
  Build folder child documents URI
  `String`
  `folderChildFoldersUri(String folderId, SortedMap<String,String> params)`
  Deprecated.
  Build folder child folders URI
  `String`
  `folderChildLinksUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build folder's child links URI
  `String`
  `folderChildObjectsUri(String folderId, SortedMap<String,String> params)`
  Deprecated.
  Build folder child objects URI
  `String`
  `folderUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build folder URI
  `String`
  `formatsUri(SortedMap<String,String> params)`
  Deprecated.
  Build formats URI
  `String`
  `formatUri(String formatName, SortedMap<String,String> params)`
  Deprecated.
  Build format URI
  `String`
  `groupSubgroupUri(String groupName, SortedMap<String,String> params)`
  Deprecated.
  Build group's sub-group URI
  `String`
  `groupsUri(SortedMap<String,String> params)`
  Deprecated.
  Build groups URI
  `String`
  `groupUri(String groupName, SortedMap<String,String> params)`
  Deprecated.
  Build group URI
  `String`
  `groupUserUri(String groupName, SortedMap<String,String> params)`
  Deprecated.
  Build group's users URI
  `String`
  `lockUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build object's lock URI
  `String`
  `networkLocationsUri(SortedMap<String,String> params)`
  Deprecated.
  Build network locations URI
  `String`
  `networkLocationUri(String locationName, SortedMap<String,String> params)`
  Deprecated.
  Build network location URI
  `String`
  `objectContentIdUri(String objectId, String renditionId)`
  Deprecated.
  Build object content id URI
  `String`
  `objectContentMediaUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build object content media URI
  `String`
  `objectContentsUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build object contents URI
  `String`
  `objectContentUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build object content URI
  `String`
  `objectParentLinksUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build object's parent links URI
  `String`
  `objectUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build sysObject URI
  `String`
  `parentFolderLinkUri(String childId, String parentId, SortedMap<String,String> params)`
  Deprecated.
  Build parent folder link URI
  `String`
  `productInfoUri()`
  Deprecated.
  Build product info URI
  `String`
  `relationsUri(SortedMap<String,String> params)`
  Deprecated.
  Build relations URI
  `String`
  `relationTypesUri(SortedMap<String,String> params)`
  Deprecated.
  Build relation types URI
  `String`
  `relationTypeUri(String relationName, SortedMap<String,String> params)`
  Deprecated.
  Build relation type URI
  `String`
  `relationUri(String relationId, SortedMap<String,String> params)`
  Deprecated.
  Build relation URI
  `String`
  `repositoriesUri()`
  Deprecated.
  Build repository URI
  `String`
  `repositoryUri(String name, SortedMap<String,String> params)`
  Deprecated.
  Build repository URI
  `String`
  `searchTemplate()`
  Deprecated.
  Build search template URI
  `String`
  `typesUri(SortedMap<String,String> params)`
  Deprecated.
  Build types URI
  `String`
  `typeUri(String typeName, SortedMap<String,String> params)`
  Deprecated.
  Build type URI
  `String`
  `usersUri(SortedMap<String,String> params)`
  Deprecated.
  Build users URI
  `String`
  `userUri(String userName, SortedMap<String,String> params)`
  Deprecated.
  Build user URI
  `String`
  `versionsUri(String objectId, SortedMap<String,String> params)`
  Deprecated.
  Build object versions URI

  ### Methods inherited from class com.emc.documentum.rest.http.BaseUriFactory

  `buildUri, buildUriByTemplate, buildUriByTemplateName, buildUriWithRepositoryExt, containsNullPathSegments, generatePathVarValue, getBaseUri, getFormatExtension, getRepositoryUri, isActiveUrl, isUriHrefTemplate, logoutUri`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UriFactory

    public UriFactory(String baseUri, String repositoryName, String formatExtension)
    Deprecated.
    Constructor
    Parameters:
      `baseUri` - base URI from `BaseUriInfo.getBaseUri()`
      `repositoryName` - repository name
      `formatExtension` - format extension

  - ### UriFactory

    public UriFactory(String baseUri, String repositoryName, String formatExtension, boolean validate)
    Deprecated.
    Constructor
    Parameters:
      `baseUri` - base URI from `BaseUriInfo.getBaseUri()`
      `repositoryName` - repository name
      `formatExtension` - format extension
      `validate` - validate uri, if invalidated, the returning URL is "_inactive_url_"

- ## Method Details

  - ### repositoriesUri

    public String repositoriesUri()
    Deprecated.
    Build repository URI
    Returns:
      repository URI

  - ### productInfoUri

    public String productInfoUri()
    Deprecated.
    Build product info URI
    Returns:
      product info URI

  - ### repositoryUri

    public String repositoryUri(String name, SortedMap<String,String> params)
    Deprecated.
    Build repository URI
    Parameters:
      `name` - repository name
      `params` - URI parameters
    Returns:
      repository URI

  - ### folderChildObjectsUri

    public String folderChildObjectsUri(String folderId, SortedMap<String,String> params)
    Deprecated.
    Build folder child objects URI
    Parameters:
      `folderId` - folder id
      `params` - URI parameters
    Returns:
      folder child objects URI

  - ### folderChildFoldersUri

    public String folderChildFoldersUri(String folderId, SortedMap<String,String> params)
    Deprecated.
    Build folder child folders URI
    Parameters:
      `folderId` - folder id
      `params` - URI parameters
    Returns:
      folder child folders URI

  - ### folderChildDocumentsUri

    public String folderChildDocumentsUri(String folderId, SortedMap<String,String> params)
    Deprecated.
    Build folder child documents URI
    Parameters:
      `folderId` - folder id
      `params` - URI parameters
    Returns:
      folder child documents URI

  - ### cabinetsUri

    public String cabinetsUri(SortedMap<String,String> params)
    Deprecated.
    Build cabinets URI
    Parameters:
      `params` - URI parameters
    Returns:
      cabinets URI

  - ### formatsUri

    public String formatsUri(SortedMap<String,String> params)
    Deprecated.
    Build formats URI
    Parameters:
      `params` - URI parameters
    Returns:
      formats URI

  - ### networkLocationsUri

    public String networkLocationsUri(SortedMap<String,String> params)
    Deprecated.
    Build network locations URI
    Parameters:
      `params` - URI parameters
    Returns:
      network locations URI

  - ### objectUri

    public String objectUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build sysObject URI
    Parameters:
      `objectId` - sysObject id
      `params` - URI parameters
    Returns:
      sysObject URI

  - ### cabinetUri

    public String cabinetUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build cabinet URI
    Parameters:
      `objectId` - cabinet id
      `params` - URI parameters
    Returns:
      cabinet URI

  - ### folderUri

    public String folderUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build folder URI
    Parameters:
      `objectId` - folder id
      `params` - URI parameters
    Returns:
      folder URI

  - ### documentUri

    public String documentUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build document URI
    Parameters:
      `objectId` - document id
      `params` - URI parameters
    Returns:
      document URI

  - ### objectContentsUri

    public String objectContentsUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build object contents URI
    Parameters:
      `objectId` - object id
      `params` - URI parameters
    Returns:
      object contents URI

  - ### objectContentUri

    public String objectContentUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build object content URI
    Parameters:
      `objectId` - object id
      `params` - URI parameters
    Returns:
      object content URI

  - ### objectContentMediaUri

    public String objectContentMediaUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build object content media URI
    Parameters:
      `objectId` - object id
      `params` - URI parameters
    Returns:
      object content media URI

  - ### objectContentIdUri

    public String objectContentIdUri(String objectId, String renditionId)
    Deprecated.
    Build object content id URI
    Parameters:
      `objectId` - object id
      `renditionId` - rendition id
    Returns:
      object content id URI

  - ### typesUri

    public String typesUri(SortedMap<String,String> params)
    Deprecated.
    Build types URI
    Parameters:
      `params` - URI parameters
    Returns:
      types URI

  - ### typeUri

    public String typeUri(String typeName, SortedMap<String,String> params)
    Deprecated.
    Build type URI
    Parameters:
      `typeName` - type name
      `params` - URI parameters
    Returns:
      type URI

  - ### currentUsersUri

    public String currentUsersUri(SortedMap<String,String> params)
    Deprecated.
    Build current user URI
    Parameters:
      `params` - URI parameters
    Returns:
      current user URI

  - ### usersUri

    public String usersUri(SortedMap<String,String> params)
    Deprecated.
    Build users URI
    Parameters:
      `params` - URI parameters
    Returns:
      users URI

  - ### userUri

    public String userUri(String userName, SortedMap<String,String> params)
    Deprecated.
    Build user URI
    Parameters:
      `userName` - user name
      `params` - URI parameters
    Returns:
      user URI

  - ### groupUri

    public String groupUri(String groupName, SortedMap<String,String> params)
    Deprecated.
    Build group URI
    Parameters:
      `groupName` - group name
      `params` - URI parameters
    Returns:
      group URI

  - ### groupsUri

    public String groupsUri(SortedMap<String,String> params)
    Deprecated.
    Build groups URI
    Parameters:
      `params` - URI parameters
    Returns:
      groups URI

  - ### groupSubgroupUri

    public String groupSubgroupUri(String groupName, SortedMap<String,String> params)
    Deprecated.
    Build group's sub-group URI
    Parameters:
      `groupName` - group name
      `params` - URI parameters
    Returns:
      group's sub-group URI

  - ### groupUserUri

    public String groupUserUri(String groupName, SortedMap<String,String> params)
    Deprecated.
    Build group's users URI
    Parameters:
      `groupName` - group name
      `params` - URI parameters
    Returns:
      group's users URI

  - ### defaultFolderUri

    public String defaultFolderUri(String userName)
    Deprecated.
    Build user default folder URI
    Parameters:
      `userName` - user name
    Returns:
      user default folder URI

  - ### versionsUri

    public String versionsUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build object versions URI
    Parameters:
      `objectId` - object id
      `params` - URI parameters
    Returns:
      object versions URI

  - ### currentVersionsUri

    public String currentVersionsUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build object current version URI
    Parameters:
      `objectId` - object id
      `params` - URI parameters
    Returns:
      object current versions URI

  - ### relationsUri

    public String relationsUri(SortedMap<String,String> params)
    Deprecated.
    Build relations URI
    Parameters:
      `params` - URI parameters
    Returns:
      relations URI

  - ### objectParentLinksUri

    public String objectParentLinksUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build object's parent links URI
    Parameters:
      `objectId` - object id
      `params` - URI parameters
    Returns:
      object's parent links URI

  - ### folderChildLinksUri

    public String folderChildLinksUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build folder's child links URI
    Parameters:
      `objectId` - object id
      `params` - URI parameters
    Returns:
      folder's child links URI

  - ### relationUri

    public String relationUri(String relationId, SortedMap<String,String> params)
    Deprecated.
    Build relation URI
    Parameters:
      `relationId` - relation id
      `params` - URI parameters
    Returns:
      relation URI

  - ### formatUri

    public String formatUri(String formatName, SortedMap<String,String> params)
    Deprecated.
    Build format URI
    Parameters:
      `formatName` - format name
      `params` - URI parameters
    Returns:
      format URI

  - ### networkLocationUri

    public String networkLocationUri(String locationName, SortedMap<String,String> params)
    Deprecated.
    Build network location URI
    Parameters:
      `locationName` - newwork location name
      `params` - URI parameters
    Returns:
      network location URI

  - ### relationTypesUri

    public String relationTypesUri(SortedMap<String,String> params)
    Deprecated.
    Build relation types URI
    Parameters:
      `params` - URI parameters
    Returns:
      relation types URI

  - ### checkedOutObjectsUri

    public String checkedOutObjectsUri(SortedMap<String,String> params)
    Deprecated.
    Build checked out objects URI
    Parameters:
      `params` - URI parameters
    Returns:
      checked out objects URI

  - ### relationTypeUri

    public String relationTypeUri(String relationName, SortedMap<String,String> params)
    Deprecated.
    Build relation type URI
    Parameters:
      `relationName` - relation name
      `params` - URI parameters
    Returns:
      relation type URI

  - ### lockUri

    public String lockUri(String objectId, SortedMap<String,String> params)
    Deprecated.
    Build object's lock URI
    Parameters:
      `objectId` - object id
      `params` - URI parameters
    Returns:
      object's lock URI

  - ### parentFolderLinkUri

    public String parentFolderLinkUri(String childId, String parentId, SortedMap<String,String> params)
    Deprecated.
    Build parent folder link URI
    Parameters:
      `childId` - child id
      `parentId` - parent folder id
      `params` - URI parameters
    Returns:
      parent folder link URI

  - ### childFolderLinkUri

    public String childFolderLinkUri(String parentId, String childId, SortedMap<String,String> params)
    Deprecated.
    Build child folder link URI
    Parameters:
      `parentId` - parent id
      `childId` - child folder id
      `params` - URI parameters
    Returns:
      child folder link URI

  - ### dqlQueryTemplate

    public String dqlQueryTemplate()
    Deprecated.
    Build DQL query template URI
    Returns:
      DQL query template URI

  - ### searchTemplate

    public String searchTemplate()
    Deprecated.
    Build search template URI
    Returns:
      search template URI

  - ### batchesUri

    public String batchesUri(SortedMap<String,String> params)
    Deprecated.
    Build batches URI
    Parameters:
      `params` - URI parameters
    Returns:
      batches URI

  - ### batchCapabilitiesUri

    public String batchCapabilitiesUri(SortedMap<String,String> params)
    Deprecated.
    Build batch capabilities URI
    Parameters:
      `params` - URI parameters
    Returns:
      batch capabilities URI